<?php

namespace Boilerplate\Boilerplate\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Boilerplate\Boilerplate\Interfaces\BoilerplateI18nRepositoryInterface;

class BoilerplateI18nPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Boilerplate\BoilerplateI18n\Interfaces\BoilerplateI18nRepositoryInterface $boilerplate_i18n
     *
     * @return type
     */
    public function __construct(BoilerplateI18nRepositoryInterface $boilerplate_i18n)
    {
        $this->repository = $boilerplate_i18n;
        parent::__construct();
    }

    /**
     * Show boilerplate_i18n's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $boilerplate_i18ns = $this->repository->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('boilerplate::public.boilerplate_i18n.index', compact('boilerplate_i18ns'))->render();
    }

    /**
     * Show boilerplate_i18n.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $boilerplate_i18n = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('boilerplate::public.boilerplate_i18n.show', compact('boilerplate_i18n'))->render();
    }
}
