<?php

// Admin routes for boilerplate
Route::group(['prefix' => trans_setlocale().'/admin/boilerplate', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('boilerplate', 'Boilerplate\Boilerplate\Http\Controllers\BoilerplateAdminController');
});

// User routes for boilerplate
Route::group(['prefix' => trans_setlocale().'/user/boilerplate', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('boilerplate', 'Boilerplate\Boilerplate\Http\Controllers\BoilerplateUserController');
});

// Public routes for boilerplate
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('boilerplate/boilerplate', 'Boilerplate\Boilerplate\Http\Controllers\BoilerplatePublicController@index');
    Route::get('boilerplate/boilerplate/{slug?}', 'Boilerplate\Boilerplate\Http\Controllers\BoilerplatePublicController@show');
});

// Admin routes for boilerplate_i18n
Route::group(['prefix' => trans_setlocale().'/admin/boilerplate', 'middleware' => ['web', 'auth.role:admin']], function () {
    Route::resource('boilerplate_i18n', 'Boilerplate\Boilerplate\Http\Controllers\BoilerplateI18nAdminController');
});

// User routes for boilerplate_i18n
Route::group(['prefix' => trans_setlocale().'/user/boilerplate', 'middleware' => ['web', 'auth.role:user']], function () {
    Route::resource('boilerplate_i18n', 'Boilerplate\Boilerplate\Http\Controllers\BoilerplateI18nUserController');
});

// Public routes for boilerplate_i18n
Route::group(['prefix' => trans_setlocale(), 'middleware' => ['web']], function () {
    Route::get('boilerplate/boilerplate_i18n', 'Boilerplate\Boilerplate\Http\Controllers\BoilerplateI18nPublicController@index');
    Route::get('boilerplate/boilerplate_i18n/{slug?}', 'Boilerplate\Boilerplate\Http\Controllers\BoilerplateI18nPublicController@show');
});
