<?php

namespace Boilerplate\Boilerplate\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Boilerplate policy
        \Boilerplate\Boilerplate\Models\Boilerplate::class => \Boilerplate\Boilerplate\Policies\BoilerplatePolicy::class,
// Bind BoilerplateI18n policy
        \Boilerplate\Boilerplate\Models\BoilerplateI18n::class => \Boilerplate\Boilerplate\Policies\BoilerplateI18nPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
